#!/bin/sh
#Shell Script to build the directories needed
#for creating base.tar.gz from the full Red Hat 6.1
#install on the server. March 14, 2000
#
#  NOTE: this file also creates system.fvwm95rc right after
#  it creates the directories. This is done using the cat
#  command. ******NOTICE****** Since this is a shell script
#  it tries to replace all items it sees with a leading $
#  with a value (it thinks they are variable). This means
#  where we want to write a dollar sign we have to do \$
#  Also notice the same is true for all places where you
#  intend to write out a \, this needs to be \\ or it simply
#  ignores it and brings the line from below to the line with
#  the single slash at the end of it. All of these changes
#  have been made in this file and it has been tested to work
#  properly now.  3-16-2000
#
#Chris Glendenning

#-------------------Make Directories----------------
#Create the directories necessary for the tar package to use when
#building the directory tree structure within the tar
#tested 12:45pm 3-14-2000 and tree structure was built correctly
mkdir -p ./Applications
mkdir -p ./IBM
mkdir -p ./Management
mkdir -p ./TempApps
mkdir -p ./TempNet
mkdir -p ./bin
mkdir -p ./dev
mkdir -p ./etc
mkdir -p ./lib/tcl8.0
mkdir -p ./lib/tk8.0
mkdir -p ./local/bin
mkdir -p ./lost+found
mkdir -p ./proc
mkdir -p ./root/IBM
mkdir -p ./sbin
mkdir -p ./tmp/var
mkdir -p ./usr/X11R6/lib/X11/fonts/PEX
mkdir -p ./usr/X11R6/lib/X11/fonts/Speedo
mkdir -p ./usr/X11R6/lib/X11/fonts/Type1
mkdir -p ./usr/X11R6/lib/X11/fonts/Misc
mkdir -p ./usr/X11R6/lib/X11/fonts/75dpi
mkdir -p ./usr/X11R6/lib/X11/xkb/compat
mkdir -p ./usr/X11R6/lib/X11/xkb/geometry
mkdir -p ./usr/X11R6/lib/X11/xkb/keycodes
mkdir -p ./usr/X11R6/lib/X11/xkb/symbols
mkdir -p ./usr/X11R6/lib/X11/xkb/types
mkdir -p ./usr/X11R6/lib/X11/xserver
mkdir -p ./usr/X11R6/lib/X11/xinit
mkdir -p ./usr/X11R6/lib/X11/locale/tbl_data
mkdir -p ./usr/X11R6/lib/X11/locale/th_TH.tactis
mkdir -p ./usr/X11R6/lib/X11/locale/zh
mkdir -p ./usr/X11R6/lib/X11/locale/zh_TW
mkdir -p ./usr/X11R6/lib/X11/locale/zh_TW.Big5
mkdir -p ./usr/local/mini-icons
mkdir -p ./usr/local/icons
mkdir -p ./usr/local/bin
mkdir -p ./usr/local/lib/X11/fvwm95 
mkdir -p ./usr/lib
mkdir -p ./usr/bin
mkdir -p ./usr/share
ln -sf /tmp/var var
cd etc
ln -sf /etc/XF86Config.2200.2800.skeleton XF86Config
ln -sf /usr/X11R6/bin/XF86_FBDev /usr/X11R6/bin/X
cd ../
#--------------------End of Directory Making-------------------

#--------------------Make /dev for flash-----------------------
cd dev/

mknod console c 5 1
mkdir pts
mknod ram1    b 1   1
mknod ram2    b 1   2
mknod ram3    b 1   3
mknod ram4    b 1   4
mknod audio   c 14  4
mknod audio1  c 14  20
mknod dsp     c 14  3
mknod dsp1    c 14  19
mknod fb0     c 29  0
mknod fb1     c 29  32
mknod fb2     c 29  64
mknod hda     b 3   0
mknod hda1    b 3   1
mknod hda2    b 3   2
mknod kmem    c 1   2
mknod mem     c 1   1
mknod mixer   c 14  0
mknod mixer1  c 14  16
mknod null    c 1   3
mknod psaux   c 10  1
mknod tty0    c 4   0
mknod tty1    c 4   1
mknod tty2    c 4   2
mknod tty3    c 4   3
mknod tty4    c 4   4
mknod tty5    c 4   5
mknod tty6    c 4   6
mknod tty7    c 4   7
mknod tty8    c 4   8
mknod tty9    c 4   9
mknod tty10   c 4   10
mknod tty11   c 4   11     
mknod tty12   c 4   12
mknod ptmx     c 5  2
mknod tty      c 5  0
mknod ttyp0    c 3  0
mknod ttyp1    c 3  1
mknod ttyp2    c 3  2
mknod ttyp3    c 3  3
mknod ttyp4    c 3  4
mknod ttyp5    c 3  5
mknod ptyp0    c 2  0
mknod ptyp1    c 2  1
mknod ptyp2    c 2  2
mknod ptyp3    c 2  3
mknod ptyp4    c 2  4
mknod ptyp5    c 2  5
mknod ptyp6    c 2  6
mknod ptyp7    c 2  7
mknod ptyp8    c 2  8
mknod ptyp9    c 2  9
mknod ptypa    c 2  10
mknod ptypb    c 2  11
mknod ptypc    c 2  12
mknod ptypd    c 2  13
mknod ptype    c 2  14
mknod ptypf    c 2  15
mknod ptyq0    c 2  16
mknod ptyq1    c 2  17
mknod ptyq2    c 2  18
mknod ptyq3    c 2  19
mknod ptyq4    c 2  20
mknod ptyq5    c 2  21 
mknod ptyq6    c 2  22
mknod usbmouse c 10 32
mknod random   c 1  8
mknod zero     c 1  5

chmod a+w pty*
chmod a+w null
chmod a+w ptmx
chmod a+w ttyp*
chmod a+w tty*
 
ln -sf /dev/fb0   /dev/fb
ln -sf /dev/tty0  /dev/console
ln -sf /tmp/mouse mouse

cd ../

#-------------------------End make /dev----------------------------------

#-------------------------Creating system.fvwm95rc-----------------------
#this is our custom version built on the fly when they make their base.tar.gz
#
cat <<-EOF >"./usr/local/lib/X11/fvwm95/system.fvwm95rc"
WindowFont	-adobe-helvetica-bold-r-*-*-14-*-*-*-*-*-*-*
IconFont	fixed
MenuFont   	-adobe-helvetica-medium-r-*-*-*-140-*-*-*-*-*-*
HilightColors   White DarkBlue
StickyColors    grey51 LightBlue
Style "*" NoIcon
Style "*" SloppyFocus
Style "*" MWMFunctions
Style "*" HintOverride
Style "*" MWMDecor
Style "*" OLDecor
OpaqueMoveSize 10
EdgeScroll 100 100
EdgeResistance 800 100
Style "*" RandomPlacement, SmartPlacement
DeskTopSize 1x1
ModulePath /usr/local/lib/X11/fvwm95/
PixmapPath /usr/local/icons/
IconPath   /usr/local/mini-icons/
Style "*" BorderWidth 5, HandleWidth 5
Style "Fvwm*"        NoTitle, Sticky, WindowListSkip
Style "FvwmPager"    Title, Sticky, WindowListHit
Style "FvwmPager"    StaysOnTop, NoHandles
Style "FvwmTalk"     Title, WindowListHit
Style "FvwmConsole"  Title, WindowListHit
Style "FvwmBanner"   StaysOnTop
Style "*lock"        NoTitle, NoHandles, Sticky, WindowListSkip
Style "xbiff"        NoTitle,            Sticky, WindowListSkip
Style "xsysinfo"     NoTitle,            Sticky, WindowListSkip
Style "xload"        NoTitle,            Sticky, WindowListSkip,RandomPlacement
Style "xconsole"                         Sticky, StartIconic
Style "xpostit"                                  WindowListSkip
Style "PostitNote"                               WindowListSkip
Style "Postit"       NoHandles,                  WindowListSkip
Style "*"         	TitleIcon mini-x2.xpm
Style "*xterm*"   	TitleIcon mini-term.xpm
Style "rxvt"      	TitleIcon mini-term.xpm
Style "xcalc"     	TitleIcon mini-calc.xpm
Style "xsession"  	TitleIcon mini-bx2.xpm
Style "xv"        	TitleIcon mini-xv.xpm
Style "Netscape"  	TitleIcon mini-nscape.xpm
Style "xmag"      	TitleIcon mini-zoom.xpm
Style "textedit"  	TitleIcon mini-edit.xpm
Style "*emacs*"	  	TitleIcon mini-edit.xpm
Style "tkps"      	TitleIcon mini-run.xpm
Style "Ghostview" 	TitleIcon mini-gv.xpm
Style "gv*"	 	TitleIcon mini-gv.xpm
Style "Xcolorsel" 	TitleIcon mini-colors.xpm
Style "IDL*"      	TitleIcon mini-zoom.xpm
Style "xeyes"     	TitleIcon mini-eyes.xpm
Style "*fm*"      	TitleIcon mini-filemgr.xpm
Style "FileRunner"	TitleIcon mini-ofolder.xpm
Style "The GIMP"  	TitleIcon mini-wilber.xpm
Style "Scilab"    	TitleIcon mini-fractal.xpm
Style "thot"      	TitleIcon mini-pencil.xpm
Style "LyX"      	TitleIcon mini-pencil.xpm
Style "topBox"    	TitleIcon mini-book1.xpm
Style "help"      	TitleIcon mini-book2.xpm
Style "manualBrowser" 	TitleIcon mini-book2.xpm
Style "xpaint"   	TitleIcon mini-paint.xpm
Style "Canvas"   	TitleIcon mini-paint.xpm
Style "fatbits" 	TitleIcon mini-paint.xpm
Style "filebrowser"	TitleIcon mini-ofolder.xpm
Style "Explorer"     	TitleIcon explorer.xpm
Style "Run"     	TitleIcon run1616.xpm
Style "Notepad"     	TitleIcon mini.text.xpm
Style "*onyx*"          TitleIcon onyx1616.xpm
Style "FvwmPager"    	TitleIcon mini-pager.xpm
Style "XDbx"         	TitleIcon mini-bug2.xpm
Style "Workman"      	TitleIcon mini-cd.xpm
Style "*playcd*"      	TitleIcon mini-cd.xpm
Style "*cdplay*"      	TitleIcon mini-cd.xpm
Style "Mail"         	TitleIcon mini-mail.xpm
Style "*mail*"         	TitleIcon mini-mail.xpm
Style "xmh"             TitleIcon mini-mail.xpm
Style "AcroRead"     	TitleIcon mini-pdf.xpm
Style "NcFtp"        	TitleIcon mini-ftp.xpm
Style "XbmBrowser"   	TitleIcon mini-paint.xpm
Style "Bitmap"       	TitleIcon mini-paint.xpm
Style "Pixmap"       	TitleIcon mini-paint.xpm
Style "XClipboard"   	TitleIcon mini-clipboard.xpm
Style "control-panel"  	TitleIcon mini-redhat.xpm
Style "*console*"  	TitleIcon mini-display.xpm
DestroyFunc "InitFunction" 
AddToFunc "InitFunction"     "I" Module FvwmButtons
+                           "I" Module FvwmTaskBar
+                           "I" Read  .fvwm95rc-settings
+                           "I" Exec /IBM/RunIBMInit
DestroyFunc "RestartFunction"
AddToFunc "RestartFunction" "I" Module FvwmButtons
+                           "I" Module FvwmTaskBar
+                           "I" Read  .fvwm95rc-settings
DestroyFunc "Move-or-Raise"
AddToFunc "Move-or-Raise" "M" Move
+                         "M" Raise
+                         "C" Raise
+                         "D" Maximize 0 100
DestroyFunc "Move-or-Lower"
AddToFunc "Move-or-Lower" "M" Move
+                         "M" Lower
+                         "C" Lower
+                         "D" RaiseLower
DestroyFunc "Move-or-Iconify"
AddToFunc "Move-or-Iconify" "M" Move
+                           "D" Iconify
DestroyFunc "Maximize-Func"
AddToFunc "Maximize-Func" "M"	Maximize 0 98
+ 			  "C"	Maximize 0 100
+ 			  "D"	Maximize 100 98
DestroyFunc "Resize-or-Raise"
AddToFunc "Resize-or-Raise" "M" Resize
+                           "M" Raise
+                           "C" Raise
+                           "D" RaiseLower
DestroyFunc "FocusAndWarp"
AddToFunc FocusAndWarp "I" Focus
+                      "I" WarpToWindow 50 50
DestroyFunc "DeiconifyFocusAndWarp"
AddToFunc DeiconifyFocusAndWarp "I" Iconify -1
+                               "I" FocusAndWarp
DestroyFunc "ChangeDefaultFocus"
AddToFunc ChangeDefaultFocus "I" Style "*" \$0
+                            "I" Recapture
DestroyFunc "WarpOrExec"
AddToFunc WarpOrExec	   "I" Next [\$0] Iconify -1
+		           "I" Next [\$0] FocusAndWarp
+			   "I" None [\$0] Exec \$0 \$1
DestroyMenu "StartMenu"
  "&Programs%programs.xpm%"     Popup Programs
+  "&Remote Applications%programs.xpm%"     Popup RPrograms
+ "&IBM Setup%settings.xpm%"     Exec /IBM/RunIBM
+ "&Run...%run.xpm%"            Exec  xterm
+ ""                            Nop 
+ "&Shut Down%shutdown.xpm%"    Exec /bin/wish /IBM/Shutdown
DestroyMenu "RedHat"
AddToMenu "RedHat" "RedHat Tools" Title
+ "Glint%mini-hammer.xpm%"              Exec glint 
+ "Control Panel%mini.FileManager.xpm%" Exec control-panel 
DestroyMenu "Programs"
AddToMenu "Programs" \\
 "Network%mini-telnet.xpm%"		Popup Network
+ "Graphic processing%mini-paint.xpm%"	Popup Graphics
+ "Internet%mini-connect.xpm%"		Popup Internet
+ "IBM Emulators%mini-connect.xpm%"	Popup Emulators
+ "Movies%mini-cd.xpm%"			Exec /etc/movies
+ "Kill Movies%mini-cd.xpm%"			Exec /etc/killmovies
DestroyMenu "RPrograms"
AddToMenu "RPrograms" \\
  "&Applix 5.0%settings.xpm%"	Exec /Applications/opt/applix-5.00/start_applix
DestroyMenu "Accessories"
AddToMenu "Accessories" \\
  "Running processes%mini-run.xpm%" Exec xterm -font 7x14       \\
                                              -T Top -n Top -e top  
DestroyMenu "Games"
AddToMenu "Games" \\
  "Maze%mini-maze.xpm%"			Exec maze 
+ "Spider%mini-espada.xpm%"		Exec spider 
+ "Chess%mini-slon.xpm%"		Exec xboard 
+ "Xlander%mini-xlander.xpm%"		Exec xlander 
+ "Xmahjongg%mini-xmahjongg.xpm%" 	Exec xmahjongg 
+ "" Nop
+ "Amusements"				Popup Amusements
DestroyMenu "Amusements"
AddToMenu "Amusements" \\
  "Eyes%mini-eyes.xpm%"			Exec xeyes 
+ "X logo%mini-bx2.xpm%"		Exec xlogo 
+ "Xroach%mini-roach.xpm%"		Exec xroach 
+ "Fractint%mini-fractal.xpm%"		Exec xterm -font 7x14 -e xfractint map=chroma  
+ "Xsnow%mini-xsnow.xpm%"		Exec xsnow 
+ "Desktop cat%mini-cat.xpm%"		Exec xcat 
DestroyMenu "Multimedia"
AddToMenu "Multimedia" \\
  "Sailing%mini-sound.xpm%"		Exec xterm -e /bin/mpg123 -b 4096 /sailing.mp3
+ "Volume Control%mini.audiovol.xpm%"		Exec xmixer 
DestroyMenu "Viewers"
AddToMenu "Viewers" \\
  "Acrobat Reader%mini-pdf.xpm%"	Exec /usr/local/Acrobat4/bin/acroread
DestroyMenu "Network"
AddToMenu "Network" \\
   "ICA Manager%mini-connect.xpm%"		Exec /usr/lib/ICAClient/wfcmgr
+  "ICA Connect%mini-connect.xpm%"		Exec /usr/lib/ICAClient/wfica
DestroyMenu "Internet"
AddToMenu "Internet" \\
  "Netscape%mini-nscape.xpm%"		Exec /usr/local/netscape/netscape -geometry 790x543+0+0 
DestroyMenu "Emulators"
AddToMenu "Emulators" \\
  "3270%mini-connect.xpm%"		Exec /opt/nstation/bin/start_emulator ns3270
+ "5250%mini-connect.xpm%"		Exec /opt/nstation/bin/start_emulator ns5250
DestroyMenu "Graphics"
AddToMenu "Graphics" \\
  "The Gimp%mini-paint.xpm%" 		Exec gimp 
DestroyMenu "WordPro"
AddToMenu "WordPro" \\
  "vi%mini-edit.xpm%"	Exec xterm -e vi
+  "StarOffice%s_soffice.xpm%"	Exec /usr/Office51/bin/soffice
DestroyMenu "SciApps"
AddToMenu "SciApps" \\
  "GNU plot%mini-graph.xpm%"	Exec xterm -T "GNU plot" -name GNUplot \\
                                           -font "-*-lucidatypewriter-medium-r-*-*-14-*" \\
                                           -e gnuplot 
+ "SCILAB%mini-zoom.xpm%"		Exec scilab 
+ "Xephem%mini-exp.xpm%"     		Exec xephem 
DestroyMenu "FileManagers"
AddToMenu "FileManagers" \\
  "Explorer%explorer.xpm%"		Exec explorer 
+ "Tk desk%mini-desktop.xpm%"		Exec tkdesk 
+ "File manager%mini-filemgr.xpm%" 	Exec xfm
DestroyMenu "Module-Popup"
AddToMenu "Module-Popup" \\
  "Audio%mini-sound.xpm%"		Module FvwmAudio
+ "Autoraise%mini-raise.xpm%"		Module FvwmAuto 500
+ "Banner%mini-ray.xpm%"		Module FvwmBanner
+ "Button bar%mini-pencil.xpm%"		Module FvwmButtons
+ "Mini button bar%mini-ball.xpm%"	Module FvwmButtons MiniButtons
+ "Console%mini-term.xpm%"		Module FvwmConsole -sb 
+ "Debug%mini-bug2.xpm%"		Module FvwmDebug
+ "IconBox%mini-maxwide.xpm%"		Module FvwmIconBox
+ "IconMan%mini-ball.xpm%"		Module FvwmIconMan
+ "Identify%mini-question.xpm%"		Module FvwmIdent
+ "Pager%mini-pager.xpm%"		Module FvwmPager 0 3
+ "Save Desktop%mini-desktop.xpm%"	Module FvwmSaveDesk
+ "Talk%mini-telnet.xpm%"		Module FvwmTalk
+ "FormTalk%mini-telnet.xpm%"		Module FvwmForm MyFvwmTalk
+ "TaskBar%mini-exp.xpm"		Module FvwmTaskBar
+ "Window List%mini-windows.xpm%"	Module FvwmWinList
+ "Wharf%mini-pencil.xpm%"		Module FvwmWharf
DestroyMenu "Documents"
AddToMenu "Documents" \\
  "FVWM95%mini.win95.xpm%"		Exec /usr/local/netscape/netscape \\
					/usr/doc/fvwm95-2.0.43b/index.html
+ "Acrobat.pdf%mini-pdf.xpm%" Exec /usr/local/Acrobat4/bin/acroread /usr/local/Acrobat4/Reader/Acrobat.pdf
DestroyMenu "Settings"
AddToMenu "Settings" \\
  "Screen Setup%mini-display.xpm%"	Module FvwmScript ScreenSetup 
+ "Desktop Setup%mini-display.xpm%"	Module FvwmScript DeskSetup
+ "Date%mini-clock.xpm%"		Module FvwmScript Date 
+ ""					Nop
+ "AutoRaise%mini-raise.xpm%" 		Popup AutoRaise-Settings
+ "Focus/Paging%mini-zoom.xpm%" 	Popup Focus-Settings
+ "Mouse Speed%mini-mouse.xpm%"      	Popup Mouse-Settings
+ "Keyboard%mini-keyboard.xpm%" 	Popup Keyboard-Settings
+ "Sounds %mini-audiovol.xpm%"		Popup Sound-Settings
+ "X settings%mini-monitor.xpm%"	Popup X-settings 
DestroyMenu	AutoRaise-Settings
AddToMenu	AutoRaise-Settings	"AutoRaise Settings"	Title
+	"Raise Slow"			Module FvwmAuto 1000
+	"Raise Default"			Module FvwmAuto 500
+	"Raise Fast"	        	Module FvwmAuto 250
+	"Speedy Gonzales"		Module FvwmAuto 50
+	"AutoRaise off"			KillModule FvwmAuto
DestroyMenu	Focus-Settings
AddToMenu	Focus-Settings	"Focus/Paging Settings"	Title
+                  "Sloppy Focus"        ChangeDefaultFocus SloppyFocus
+                  "Click To Focus"      ChangeDefaultFocus ClickToFocus
+                  "Focus Follows Mouse" ChangeDefaultFocus FocusFollowsMouse
+                  "" Nop
+                  "Colormap Follows Mouse" ColormapFocus FollowsMouse
+                  "Colormap Follows Focus" ColormapFocus FollowsFocus
+                  "" Nop
+                  "Full Paging ON"         EdgeScroll 100 100
+                  "All Paging OFF"         EdgeScroll 0 0
+                  "Horizontal Paging Only" EdgeScroll 100 0
+                  "Vertical Paging Only"   EdgeScroll 0 100
+                  "Partial Paging"         EdgeScroll 50 50
+                  "Full Paging && Edge Wrap" EdgeScroll 100000 100000
DestroyMenu	Mouse-Settings
AddToMenu	Mouse-Settings	"Mouse Settings"	Title
+	"Mouse Slow"			Exec	xset m 1 1
+	"Mouse Default"			Exec	xset m default
+	"Mouse Fast"			Exec	xset m 4 2
+	"Speedy Gonzales"		Exec	xset m 10 2
DestroyMenu	Keyboard-Settings
AddToMenu	Keyboard-Settings	"Keyboard Settings"	Title
+	"Auto-repeat off"		Exec	xset -r
+	"Auto-repeat on"		Exec	xset r on
DestroyMenu     Sound-Settings
AddToMenu       Sound-Settings       "Sound Settings"     Title
+       "FvwmAudio on"       		Module FvwmAudio
+       "FvwmAudio off"       		KillModule FvwmAudio
+       "Sound card"        		Exec xmixer
+       "Bell settings"        		Module FvwmScript BellSetup
DestroyMenu	X-Settings
AddToMenu	X-Settings		"Screen Settings"	Title
+ "Back Color%mini-colors.xpm"          Popup Backcolor
+ "Back Animation%mini-fractal.xpm%"    Popup Background-Animation 
+ "Video tuning%mini-monitor.xpm%"	Exec xterm -T Xvidtune -e xvidtune 
+ "X configuration%mini-display.xpm%"	Exec xterm -T Xconfig -e Xconfigurator 
DestroyMenu "Backcolor"
AddToMenu "Backcolor" \\
  "Black"		Exec xsetroot -solid Black
+ "Red"			Exec xsetroot -solid Red
+ "Yellow"		Exec xsetroot -solid Yellow
+ "Green"		Exec xsetroot -solid Green
+ "Cyan"		Exec xsetroot -solid Cyan4
+ "Blue"		Exec xsetroot -solid Blue
+ "Magenta"		Exec xsetroot -solid Magenta
+ "White"		Exec xsetroot -solid White
+ "Blue decay"		Exec bggen 100 100 255  0 0 100  | xv -root -quit  -
+ "Rainbow"		Exec bggen red green blue | xv -root -quit -
+ "Full Rainbow" 	Exec bggen black red yellow green blue purple black | xv -root -quit -  
+ "Magenta decay" 	Exec bggen blue magenta | xv -root -quit -
DestroyMenu "Background-Animation"
AddToMenu "Background-Animation" \\
  "Braid"		Exec xlock -nice 10 -inroot -mode braid 
+ "Flame"		Exec xlock -nice 10 -inroot -mode flame 
+ "Grav"		Exec xlock -nice 10 -inroot -mode grav 
+ "Pyro"		Exec xlock -nice 10 -inroot -mode pyro 
+ "Qix"			Exec xlock -nice 10 -inroot -mode qix 
+ "Rock"		Exec xlock -nice 10 -inroot -mode rock 
+ "Slip"		Exec xlock -nice 10 -inroot -mode spiral 
+ "Spline"		Exec xlock -nice 10 -inroot -mode spline 
+ "Swarm"		Exec xlock -nice 10 -inroot -mode swarm 
+ "Worm"		Exec xlock -nice 10 -inroot -mode worm 
+ "Random"		Exec xlock -nice 10 -inroot -mode random 
+ "Stop It"		Exec kill -9 \\
			\$(ps aux | grep xlock | grep -v grep | awk '{print \$2}')
DestroyMenu "Shutdown"
AddToMenu "Shutdown" \\
 "Restart Windows Manager%mini-turn.xpm%"		Restart
+ "Halt%mini-stop.xpm%"	  		Exec wish /IBM/shutdown
DestroyMenu "FoX"
AddToMenu "FoX" \\
  "Explorer%explorer.xpm%"		Exec explorer
+ "Notepad%mini.text.xpm%"		Exec notepad 
+ "Fileview%mini-eye.xpm%"		Exec fileview
+ "Desktop%mini-desktop.xpm%"		Exec desktop \$HOME/.desktop
+ "Run%mini-run.xpm%"			Exec run
+ "CDplay%mini-cd.xpm%"			Exec OXcdplay 
+ "Sound Mixer%mini-audiovol.xpm%"	Exec OXmixer 
+ "Clock%mini-clock.xpm%"		Exec OXclock 
+ "Irc%mini.zircon.xpm%"		Module FvwmForm Foxirc
+ "Onyx%onyx1616.xpm%"               	Exec onyx 
DestroyMenu "Shells"
AddToMenu "Shells" \\
  "Xterm	(9x15)%mini-sh1.xpm%"	Exec xterm -fn 9x15 
+ "NXterm	(9x15)%mini-sh1.xpm%" 	Exec nxterm -fn 9x15 
+ "Rxvt		(9x15)%mini-sh1.xpm%"	Exec rxvt -fn 9x15 
+ ""					Nop
+ "CmdTool %mini-term.xpm%"		Exec cmdtool 
+ ""					Nop
+ "Large Xterm	(10x20)%mini-sh.xpm%" 	Exec xterm -fn 10x20 
+ "Large NXterm	(10x20)%mini-sh.xpm%" 	Exec nxterm -fn 10x20 
+ "Large Rxvt	(10x20)%mini-sh.xpm%"	Exec rxvt -fn 10x20 
DestroyMenu "Editors"
AddToMenu "Editors" \\
  "Textedit%mini-edit.xpm%" 		Exec textedit -geometry 630x490+95+5 
+ "Xedit%mini-edit.xpm%" 		Exec xedit 
+ "XEmacs%mini-edit.xpm%"		Exec xemacs 
+ "Emacs%mini-edit.xpm%"		Exec emacs 
DestroyMenu "Window-Ops2"
AddToMenu "Window-Ops2" "&Restore"        Iconify -1
+                       "&Move"           Move-or-Raise
+                       "&Size"           Resize-or-Raise
+                       "Mi&nimize"       Iconify 1
+                       "Ma&ximize"       Maximize 100 100
+                       ""                Nop
+                       "&Kill"           Destroy
+                       "&Close	Alt+F4"   Delete
DestroyMenu "window_ops_func"
AddToFunc "window_ops_func" "C" PopUp Window-Ops2
+              "M" PopUp Window-Ops2
+              "D" Delete  
Mouse 1		R   	A       Menu "Utilities" Nop
Mouse 2		R    	A       Menu "Window Ops" Nop
Mouse 3         R       A       WindowList
Mouse 0		1    	A      	Function "window_ops_func"
Mouse 1         2       A       Delete
Mouse 0		4    	A     	Maximize 100 100
Mouse 0		6    	A     	Iconify
Mouse 1		FS	A	Function "Resize-or-Raise"
Mouse 1		T	A	Function "Move-or-Raise"
Mouse 1		I	A	Function "Move-or-Iconify"
Mouse 2		I	A	Iconify
Mouse 2		FST	A	Function "window_ops_func"
Mouse 3		TSIF	A	RaiseLower
Mouse 3         W       M       RaiseLower
Key Left	A	C	Scroll -100 0
Key Right	A	C	Scroll +100 +0
Key Up		A	C	Scroll +0   -100
Key Down	A	C	Scroll +0   +100
Key Left	A	M	Scroll -10 +0
Key Right	A	M	Scroll +10 +0
Key Up		A	M	Scroll +0   -10
Key Down	A	M	Scroll +0   +10
Key F9		A	A	Iconify
Key F10		A	A	Iconify
Key F11		A	A	CirculateUp
Key F12		A	A	CirculateDown
Key Next	A       C       Scroll 100000 0
Key Next	R       N       Scroll 100000 0  
Key Prior	A       C       Scroll -100000 0
Key Prior	R       N       Scroll -100000 0
Key Left	A	S	Prev FocusAndWarp
Key Right	A	S	Next [!iconic] FocusAndWarp
Key Down	A	S	Prev FocusAndWarp
Key Up  	A	S	Next [iconic] DeIconifyFocusAndWarp
Key Tab         A       M       Prev FocusAndWarp
Key Tab         A       MS      Next FocusAndWarp
Key F25		A	N	Prev FocusAndWarp
Key F26 	A	N	Next [!iconic] FocusAndWarp
*FvwmAudioPlayCmd /usr/bin/play
*FvwmAudioDir    /usr/local/lib/sounds
*FvwmAudioDelay 1
*FvwmAudio destroy_window crash.au
*FvwmAudio add_window  whip.au
*FvwmAudio shutdown gong.au
*FvwmBannerTimeout 1
Style "MiniButtons"  NoTitle,NoHandles,Sticky,StaysOnTop,WindowListSkip\\
		     ,BorderWidth 0
*MiniButtonsFore Black
*MiniButtonsFont -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
*MiniButtonsGeometry -5+5
*MiniButtonsRows 1
*MiniButtonsPadding 1 1
*MiniButtons -   mini-term.xpm        Exec "XTerm" nxterm
*MiniButtons -   explorer.xpm	      Exec "Explorer" explorer 
*MiniButtons -   mini.text.xpm        Exec "Notepad" notepad
*MiniButtons -   mini-calc.xpm        Exec "Calculator" xcalc 
*MiniButtons -   mini-xv.xpm          Exec "xv" xv 
*MiniButtons -   mini-gv.xpm          Exec "ghostview" ghostview 
*MiniButtons -   mini-nscape.xpm      Exec "Netscape" netscape -geometry 790x543+0+0 
*MiniButtons -   mini-bomb.xpm        Destroy
*FvwmNoClutter 3600 Iconify 1
*FvwmNoClutter 86400 Delete
*FvwmNoCLutter 172800 Destroy
*FvwmIdentBack DarkBlue
*FvwmIdentFore Yellow
*FvwmIdentFont -adobe-helvetica-medium-r-*-*-14-*-*-*-*-*-*-*
*FvwmPagerBack grey60
*FvwmPagerFore black
*FvwmPagerFont -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
*FvwmPagerLabel 0 Fvwm'95
*FvwmPagerLabel 1 Development
*FvwmPagerLabel 2 Internet
*FvwmPagerLabel 3 Misc
*FvwmPagerSmallFont 5x8
*FvwmScriptPath /usr/X11R6/lib/X11/fvwm95/scripts
Style "FvwmTaskBar" NoTitle,BorderWidth 4,HandleWidth 4,Sticky, \\
                    StaysOnTop,WindowListSkip,CirculateSkip
*FvwmTaskBarGeometry +0-0
*FvwmTaskBarFore Black
*FvwmTaskBarFont -adobe-helvetica-medium-r-*-*-*-120-*-*-*-*-*-*
*FvwmTaskBarSelFont -adobe-helvetica-bold-r-*-*-*-120-*-*-*-*-*-*
*FvwmTaskBarStatusFont fixed
*FvwmTaskBarAction Click1 Iconify -1,Raise,Focus
*FvwmTaskBarAction Click2 Iconify
*FvwmTaskBarAction Click3 PopUp Window-Ops2
*FvwmTaskBarUseSkipList
*FvwmTaskBarAutoStick
*FvwmTaskBarStartName Start
*FvwmTaskBarStartMenu StartMenu
*FvwmTaskBarStartIcon mini-penguin.xpm
*FvwmTaskBarShowTips
*FvwmTaskBarShowTransients
*FvwmTaskBarHighlightFocus
*FvwmTaskBarAutoHide
*FvwmTaskBarDeskOnly
*FvwmWinListFore Black
*FvwmWinListFont -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
*FvwmWinListAction Click1 Iconify -1,Focus
*FvwmWinListAction Click2 Iconify
*FvwmWinListAction Click3 Module "FvwmIdent" FvwmIdent
*FvwmWinListUseSkipList
*FvwmWinListGeometry +0-1
Style "FvwmWharf"  NoTitle, NoHandles, Sticky, WindowListSkip,\\
                     BorderWidth 4,CirculateSkip
*FvwmWharfAnimate
*FvwmWharfAnimateMain
*FvwmWharfGeometry -1+0
*FvwmWharfColumns 1 
*FvwmWharfBgcolor Grey 
*FvwmWharfFullPush
*FvwmWharfTextureType 1
*FvwmWharfTextureColor WhiteSmoke DarkGrey
*FvwmWharf X 		smallx.xpm 	Folder
*FvwmWharf Exit		exit.xpm  	Quit
*FvwmWharf xlock 	Jxlock.xpm 	Exec xlock -nice 10 -mode random 
*FvwmWharf ~Folder
*FvwmWharf clock nil MaxSwallow "xclock" xclock -padding 0 -bg grey  
*FvwmWharf xview 	xv.color.xpm	Exec  xv 
*FvwmWharf xterm 	rterm.xpm   	Exec xterm  
*FvwmWharf xemacs xemacs-icon.xpm 	Exec xemacs 
*FvwmWharf gimp 	wilber.xpm 	Exec gimp 
*FvwmWharf GV 		gv.xpm  	Exec ghostviewv
*FvwmWharf kill   	bomb_3d.xpm     Destroy
*FvwmWharf pager nil MaxSwallowModule "Fvwm'95" Module FvwmPager 0 0
*FvwmWharf xload nil  MaxSwallow "xload" nice -16 \\
		xload -nolabel -update 4  -bg grey59 -geometry -1500-1500
*FvwmWharf Recycler  recycler.xpm 	Restart " " 
*QuitVerifyGrabServer
*QuitVerifyWarpPointer
*QuitVerifyFont		*helvetica*b*r*n*14*
*QuitVerifyButtonFont	*helvetica*b*o*n*14*
*QuitVerifyFore		Black
*QuitVerifyBack		Gray
*QuitVerifyItemFore	Gray
*QuitVerifyItemBack	Gray50
*QuitVerifyCommand	Beep
*QuitVerifyLine		center
*QuitVerifyText		"Do you really want to logout?"
*QuitVerifyLine		expand
*QuitVerifyButton	quit      "Logout"  ^M
*QuitVerifyCommand	Quit
*QuitVerifyButton	restart   "Restart" ^R
*QuitVerifyCommand	Restart 
*QuitVerifyButton	quit      "Cancel"  ^[
*QuitVerifyCommand	Nop
Style "QuitVerify"	NoHandles, BorderWidth 5
*RloginWarpPointer
*RloginFont         *helvetica*m*r*n*14*
*RloginButtonFont   *helvetica*m*o*n*14*
*RloginInputFont    *cour*m*r*n*14*
*RloginFore         Black
*RloginBack         Light Gray
*RloginItemFore          Wheat
*RloginItemBack          Gray50
*RloginLine         center
*RloginText         "Login to Remote Host"
*RloginLine         center
*RloginText         "Host:"
*RloginInput        HostName  20   ""
*RloginLine         center
*RloginSelection    UserSel   single
*RloginChoice       Default   Default   on   "same user"
*RloginChoice       Custom    Custom    off  "user:"
*RloginInput        UserName  10   ""
*RloginLine         expand
*RloginButton       quit "Login"
*RloginCommand Exec xterm  -T xterm@\$(HostName) -e rlogin \$(HostName) \$(Custom?-l \$(UserName))
*RloginButton       restart   "Clear"
*RloginCommand Beep
*RloginButton       quit "Cancel"
*RloginCommand Nop
*MyTalkWarpPointer
*MyTalkFont *helvetica*m*r*n*14*
*MyTalkButtonFont *helvetica*m*o*n*14*
*MyTalkInputFont *cour*m*r*n*14*
*MyTalkFore Red
*MyTalkBack Gray
*MyTalkItemFore Blue
*MyTalkItemBack Gray
*MyTalkLine center
*MyTalkText "Fvwm Function"
*MyTalkInput Func 40 ""
*MyTalkLine expand
*MyTalkButton quit "Run"
*MyTalkCommand \$(Func)
*MyTalkButton restart "Clear"
*MyTalkButton quit "Cancel"
*MyTalkCommand Nop
*MyFvwmTalkWarpPointer
*MyFvwmTalkFont *helvetica*m*r*n*14*
*MyFvwmTalkButtonFont *helvetica*m*o*n*14*
*MyFvwmTalkInputFont *cour*m*r*n*14*
*MyFvwmTalkFore Red
*MyFvwmTalkBack Gray
*MyFvwmTalkItemFore Blue
*MyFvwmTalkItemBack Gray
*MyFvwmTalkLine center
*MyFvwmTalkText "Fvwm Function"
*MyFvwmTalkInput Func 40 ""
*MyFvwmTalkLine expand
*MyFvwmTalkButton restart "Run"
*MyFvwmTalkCommand \$(Func)
*MyFvwmTalkButton restart "Clear"
*MyFvwmTalkCommand Nop
*MyFvwmTalkButton restart "Iconify"
*MyFvwmTalkCommand Next [MyFvwmTalk] Iconify
*MyFvwmTalkButton quit "Quit"
*MyFvwmTalkCommand Nop
*FoxircWarpPointer
*FoxircFont         *helvetica*m*r*n*14*
*FoxircButtonFont   *helvetica*m*o*n*14*
*FoxircInputFont    *cour*m*r*n*14*
*FoxircFore         Black
*FoxircBack         Light Gray
*FoxircItemFore          Wheat
*FoxircItemBack          Gray50
*FoxircLine         center
*FoxircText         "Connect to IRC"
*FoxircLine         center
*FoxircText         "Server:"
*FoxircInput        Server  20   ""
*FoxircLine         center
*FoxircText         "Nickname:"
*FoxircInput        Nickname  20   ""
*FoxircLine         expand
*FoxircButton       quit "Connect"
*FoxircCommand Exec foxirc \$(Nickname) \$(Server)
*FoxircButton       restart   "Clear"
*FoxircCommand Beep
*FoxircButton       quit "Cancel"
*FoxircCommand Nop
EOF
#--------------------Finished building system.fvwm95rc-------------------


touch ./etc/fstab
touch ./etc/mtab


#----------------------End File Copying---------------------------



#The things below this line were from our master list
#which the base.tar.gz untars as and these have been
#commented since they are either empty directories
#already existing directories, or custom files
#
#-----Custom or On-The-Fly Files--------
#
# ./sbin/shutdown

